namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "venom_drench")]
public class VenomDrench : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        if (!target.HasStatus(ScriptUtils.ResolveName<Status.Poisoned>()) &&
            !target.HasStatus(ScriptUtils.ResolveName<Status.BadlyPoisoned>()))
            return;

        EventBatchId eventBatch = new();
        target.ChangeStatBoost(Statistic.Attack, -1, false, false, eventBatch);
        target.ChangeStatBoost(Statistic.SpecialAttack, -1, false, false, eventBatch);
        target.ChangeStatBoost(Statistic.Speed, -1, false, false, eventBatch);
    }
}